program fjf252;

Fails under DJGPP

var
  f:file;
  s:SizeType;
  x:array[1..7] of char;
begin
  reset(f,'fjf252.pas',1);
  blockread(f,x,sizeof(x),s);
  if (s=sizeof(x)) and (x='program') then writeln('OK') else writeln('Failed')
end.
